
QGIS Application - Bug report #15434

Measure tools: total is in kilometers although user selects meters

2016-08-14 08:57 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Map Tools

Affected QGIS version:2.16.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23360

Description

If user selects meters, there should be no reason to display the total in kilometers (same thing for feet/yards/miles).

There's enough space in the text box to display such values so why not?

Associated revisions

Revision 2040cdf2 - 2016-08-23 09:52 AM - Harrissou Santanna

Keep base units as default behavior (fix #15434)

Revision dfff9dd3 - 2016-08-23 11:53 PM - Nyall Dawson

Merge pull request #3404 from DelazJ/patch-13

Keep base units as default behavior (fix #15434)

History

#1 - 2016-08-14 09:59 PM - Harrissou Santanna

Found that there's a "keep base unit" checkbox in general settings to select whether units should be kept. I wonder if by default, it should not be kept, and

up to the user to select conversion.

#2 - 2016-08-15 01:55 AM - Nyall Dawson

Agreed

#3 - 2016-08-23 02:53 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"dfff9dd3ca792278606dd5daa89119f7dce937e6".
